Run the template's checks on the draft or the editor's unsaved content
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/transactional/templates/password-reset/checks"
payload := strings.NewReader("{ \"editorMode\": \"visual\", \"html\": \"example\", \"mjml\": \"example\", \"plainText\": \"example\", \"preheader\": \"example\", \"subject\": \"example\", \"testData\": [ { \"data\": { \"additionalProperty\": \"example\" }, \"name\": \"New user\" } ], \"trackClicks\": true, \"trackOpens\": true, \"variables\": [ { \"default\": \"example\", \"description\": \"example\", \"name\": \"reset_url\", \"required\": true, \"sample\": \"example\", \"sensitive\": true, \"type\": \"text\" } ] }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/transactional/templates/password-reset/checks';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"editorMode":"visual","html":"example","mjml":"example","plainText":"example","preheader":"example","subject":"example","testData":[{"data":{"additionalProperty":"example"},"name":"New user"}],"trackClicks":true,"trackOpens":true,"variables":[{"default":"example","description":"example","name":"reset_url","required":true,"sample":"example","sensitive":true,"type":"text"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/transactional/templates/password-reset/checks \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "editorMode": "visual", "html": "example", "mjml": "example", "plainText": "example", "preheader": "example", "subject": "example", "testData": [ { "data": { "additionalProperty": "example" }, "name": "New user" } ], "trackClicks": true, "trackOpens": true, "variables": [ { "default": "example", "description": "example", "name": "reset_url", "required": true, "sample": "example", "sensitive": true, "type": "text" } ] }'Permission: transactional:view
The composer’s content checks (size, alt text, links, plain text; unsubscribe link and footer address for Optional categories) and the transactional ones: Liquid errors, undeclared and unused variables, test data that fails to render, a sensitive variable in the subject, tracking on an Essential template.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Workspace slug
Workspace slug
The template’s ID, such as password-reset, or its UUID
The template’s ID, such as password-reset, or its UUID
Request Bodyrequired
Section titled “Request Bodyrequired”object
object
object
object
Never stored: logs and stored content show ••••••
Responses
Section titled “Responses”OK
object
object
object
object
object
object
object
Example
{ "checks": [ { "fixes": [ { "kind": "declare_variable" } ], "group": "Content", "id": "variables.undeclared", "severity": "block", "where": "subject" } ], "testData": [ { "source": "test_data" } ], "variables": { "undeclared": [ { "where": "subject" } ], "used": [ { "where": "subject" } ] }, "verdict": "ready"}default
Section titled “default”Error
object
Stable error code, e.g. permission_denied
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
Members who hold the missing permission
A URI reference that identifies the specific occurrence of the problem.
object
The missing permission key
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}